curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/monitoring_status/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/monitoring_status/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/monitoring_status/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Reports whether the monitoring agent on the load balancer’s underlying node is reachable. The node_id path parameter is the load balancer’s node_detail.node_id. data.is_zabbix_active indicates whether monitoring is currently active.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Location identifier used to filter monitoring status
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the monitoring result
object
Indicates if Zabbix monitoring is currently active
Human-readable status message describing the monitoring connection
object
Status message indicating the result of the monitoring operation
Example
{ "code": 200, "data": { "is_zabbix_active": true, "message": "Connection with agent is successfull" }, "message": "Success"}